use gpodder::{AuthStore, User};
use gpodder_sqlite::SqliteRepository;

pub fn setup() -> (SqliteRepository, Vec<User>) {
    let store = SqliteRepository::in_memory().unwrap();
    let mut users = Vec::new();

    for i in 0..4 {
        let username = format!("test{}", i + 1);
        let password_hash = format!("dummyhash{}", i + 1);

        users.push(store.insert_user(&username, &password_hash).unwrap());
    }

    (store, users)
}
